/*********************************************************************/
/*      Licensed Materials - Property of IBM                         */
/*      "Restricted Materials of IBM"                                */
/*      5748-T15                                                     */
/*      (C) Copyright IBM Corp. 2006                                 */
/*      All Rights Reserved                                          */
/*      US Government Users Restricted Rights - Use, duplication     */
/*      or dislosure restricted by GSA ADP Schedule Contract         */
/*      with IBM Corp.                                               */
/*********************************************************************/
/* This file is provided on an "as is" basis.  There are no          */
/* warranties, express or implied, including the implied warranties  */
/* of merchantability and fitness for a particular purpose.          */
/* IBM has no obligation to provide service, defect correction, or   */
/* any maintenance for the file.  IBM has no obligation to supply    */
/* any updates or enhancements for the file to you even if such are  */
/* or later become available.                                        */
/*********************************************************************/
/* Change History                                                    */
/*                                                                   */
/*                                                                   */
/*                                                                   */
/*********************************************************************/
/* GENERAL INFORMATION:                                              */
/*                                                                   */
/* Header Name:   qm5a80.h                                           */
/*                                                                   */
/* Description:   Header file used by MEM5 driver segments.          */
/*                It contains a table of API parameter permutations. */
/*                                                                   */
/*********************************************************************/
#ifndef __qm5a80_h__
#define __qm5a80_h__

const char *memPgm = "QM5B";
char  *msgPrefix;
char  msgBuffer[230];

struct permutations perm[] = {

    {"TPF41 API",
     NULL,
     TPF41_API,
     NO_DEBUG
    },
    {"zTPF API: 4K, 31BIT, no owner, non-unique token",
     NULL,
     TPF51_API,
     NO_DEBUG
    },
    {"zTPF API: 4K, 31BIT, no owner, unique token",
     NULL,
     UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 4K, 31BIT, owner, non-unique token",
     "note that this owner string is longer than 32 bytes",
     TPF51_API,
     NO_DEBUG
    },
    {"zTPF API: 4K, 31BIT, owner, unique token",
     "note that this owner string is longer than 32 bytes",
     UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 4K, 64BIT, no owner, non-unique token",
     NULL,
     DO_64BIT,
     NO_DEBUG
    },
    {"zTPF API: 4K, 64BIT, no owner, unique token",
     NULL,
     DO_64BIT|UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 4K, 64BIT, owner, non-unique token",
     "another owner string",
     DO_64BIT,
     NO_DEBUG
    },
    {"zTPF API: 4K, 64BIT, owner of null, unique token",
     "",
     DO_64BIT|UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 31BIT, no owner, non-unique token",
     NULL,
     MB_FRAMES,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 31BIT, no owner, unique token",
     NULL,
     MB_FRAMES|UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 31BIT, owner, non-unique token",
     "12345678901234567890123456789012",
     MB_FRAMES,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 31BIT, owner, unique token",
     "foo bar",
     MB_FRAMES|UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 64BIT, no owner, non-unique token",
     NULL,
     DO_64BIT|MB_FRAMES,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 64BIT, no owner, unique token",
     NULL,
     DO_64BIT|MB_FRAMES|UNIQUE_TOKEN,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 64BIT, owner, non-unique token",
     "asdf",
     DO_64BIT|MB_FRAMES,
     NO_DEBUG
    },
    {"zTPF API: 1MEG, 64BIT, owner, unique token",
     "foo bar",
     DO_64BIT|MB_FRAMES|UNIQUE_TOKEN,
     NO_DEBUG
    },
};

// calculate number of items in the table */
int nbr_of_perms = ((sizeof (perm) / sizeof (struct permutations)));

#endif /* ndef __qm5a80_h__ */
